
*  Original Example of Franco Bushie  Canada
*  Modified by         Mustafa Lpez  Alicante (Spain)
  
#include <hmg.ch>
#include "dbstruct.ch"

 *------------------------------------------------------------*
  REQUEST DBFCDX , DBFFPT
  RDDSETDEFAULT( "DBFCDX" )

  REQUEST HB_LANG_ESWIN
  REQUEST HB_CODEPAGE_ESWIN
  HB_CDPSELECT('ESWIN')
  HB_LANGSELECT('ESWIN')
*------------------------------------------------------------------*
  SET CODEPAGE TO SPANISH
  SET LANGUAGE TO SPANISH
  SET EXCLUSIVE ON  
  SET CENTURY ON
  SET DATE FRENCH
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET EPOCH TO 2000
  SET ESCAPE ON
  SET DELETED ON
  SET NAVIGATION EXTENDED
  SET SOFTSEEK ON  
  SET DECIMALS TO 0
  SET TOOLTIPSTYLE BALLOON

*-----------------------------------------------*
FUNCTION MAIN   
*-----------------------------------------------*
 
 PUBLIC apar_5 ,apar_2 , apar_3 , apar_4 
 PUBLIC numeroX, numeroQ , cNunPho,  McFileD

  IF ! HB_DirExists( "Photo")
     CREATEFOLDER(GETCURRENTFOLDER()+"\Photo\")
  ENDIF

  IF !FILE('WEBCAM.HTML')
	WEBCAM("WEBCAM","CAMERA.SWF","300","300")
   ENDIF

  IF FILE("numerato.mem")
     RESTORE FROM numerato.mem ADDITIVE
  ELSE
     IniTiux()   
  ENDIF

                              
	DEFINE WINDOW CAMFORM AT 65,30 WIDTH 620 HEIGHT 360 TITLE 'Shot Image ** Escape to Cancel' MAIN 

	ON KEY ESCAPE OF CAMFORM ACTION CAMFORM.RELEASE

	DEFINE ACTIVEX ACTIVEX2 
		ROW   10
		COL   7   
		HEIGHT 300   
		WIDTH  240
		PROGID "SHELL.EXPLORER.2"
	END ACTIVEX

    DEFINE BUTTON BUTTON1
        ROW    5  
        COL    350 
        WIDTH  100
        HEIGHT 100  
        ACTION (  TAKEPICTURE(), SNAPSHOT(cNunPho )  ) 
        CAPTION "Snap Shot"
	PICTURE 'CAMERA'
        FONTNAME "Arial"
        FONTSIZE 10
    END BUTTON

    DEFINE BUTTON BUTTON2
        ROW    160 
        COL    350  
        WIDTH  100
        HEIGHT 100  
        ACTION  CAMFORM.RELEASE
        CAPTION "Exit"
	PICTURE 'hp_close'
        FONTNAME "Arial"
        FONTSIZE 10
    END BUTTON

	END WINDOW
	CAMFORM.ACTIVEX2.OBJECT:NAVIGATE(GETCURRENTFOLDER()+"\WEBCAM.HTML")

        CAMFORM.CENTER  
	CAMFORM.ACTIVATE

RETURN NIL

*---------------------------------*
FUNCTION IniTiux()   
*---------------------------------*
apar_5 := 1
apar_2 := STRZERO( apar_5 ,5)     
apar_3 := DTOC(DATE())
apar_4 := TIME()

 SAVE TO numerato.mem ALL LIKE apar_*

RETURN NIL

       
*-----------------------------------------*
  FUNCTION TAKEPICTURE() 
*-----------------------------------------*

  RESTORE FROM numerato.mem ADDITIVE
 
  
  numeroQ := ALLTRIM( STRZERO( apar_5 ,5) )
  cNunPho := "Photo\"+ numeroQ +".jpg"

/*
  apar_5 := apar_5 + 1 
  apar_2 := STRZERO( apar_5 ,5)     
  apar_3 := DTOC(DATE())
  apar_4 := TIME()
 
  SAVE TO numerato.mem ALL LIKE apar_*
*/

  WEBCAM("WEBCAM","CAMERA.SWF","300","300")


RETURN
		
*---------------------------------*
FUNCTION SNAPSHOT(cNunPho )  
*----------------------------------*

   CAMFORM.CAPTURE(cNunPho ,15,7,300,230)   

   PRINTPDF()

RETURN


*---------------------------------*
FUNCTION PRINTPDF
*---------------------------------*
LOCAL PL

		SELECT  PRINTER DEFAULT TO lSUCCESS preview ;
		ORIENTATION PRINTER_ORIENT_LANDSCAPE        ;  //       PORTRAIT ;
		PAPERSIZE PRINTER_PAPER_LETTER ;
		QUALITY PRINTER_RES_MEDIUM

	
	IF LSUCCESS == .F.
		MSGINFO('Printer Not Available')
		RETURN
	ENDIF
	
		START PRINTDOC
		START PRINTPAGE
 
		  PL := 8
		@ PL,010 PRINT ' Hello to all:' 
		@ PL,170 PRINT 'Date: '+DTOC(DATE()) SIZE 10
		  PL:= PL+20
 
		IF FILE("Photo\"+ numeroQ +".jpg")      
	           @ PL,40 PRINT IMAGE getcurrentfolder()+'\Photo\'+numeroQ+'.jpg' WIDTH 80 HEIGHT 60 TYPE JPG  
		ENDIF 

		@ 100,90 PRINT 'End of Report:'

	END PRINTPAGE
	END PRINTDOC
 
*-----------------------------------------------------*

  RESTORE FROM numerato.mem ADDITIVE
   
  numeroQ := ALLTRIM( STRZERO( apar_5 ,5) )
  cNunPho := "Photo\"+ numeroQ +".jpg"

  apar_5 := apar_5 + 1 
  apar_2 := STRZERO( apar_5 ,5)     
  apar_3 := DTOC(DATE())
  apar_4 := TIME()
 
  SAVE TO numerato.mem ALL LIKE apar_*
*-----------------------------------------------------*

Return Nil

*---------------------------------*
FUNCTION WEBCAM
*---------------------------------*
PRIVATE   _cfile, _cimage, _cwidth, _cheight
PARAMETER _cfile, _cimage, _cwidth, _cheight
_cfile:=_cfile+".html"
TEXT TO FILE &_cfile
<html>
	<body style="overflow: hidden; margin: 0; padding: 0;"
		ondragstart="return false;" ondrop="return false;" oncontextmenu="return false;" onmousedown="return false;">
		<PARAM NAME="SCALE" VALUE="exactfit">
		<embed src="&_cimage" quality="high" type="application/x-shockwave-flash" width="100%" height="100%"
		allowScriptAccess="always" menu="false">
		</body>
</html>
ENDTEXT



RETURN

********************************************************************************************************************























